package com.vandyo.sentry.core.collectionMachine;

import com.vandyo.sentry.core.config.MapConfig;
import com.vandyo.sentry.core.dto.ErrStatus;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.mail.SimpleMailMessage;
import org.springframework.mail.javamail.JavaMailSender;
import org.springframework.stereotype.Component;

import java.util.Map;

@Component
public class EmailDealer extends DataClearDealer {

    @Autowired
    private JavaMailSender javaMailSender;
    @Autowired
    private MapConfig mapConfig;

    @Override
    public void deal(Map<String, Map<ErrStatus, Long>> data) {
        String content = formatData(data,mapConfig.getDesMap());
        SimpleMailMessage message = new SimpleMailMessage();
        message.setFrom("zhouzihao@vandyo.com");
        message.setTo("1042181618@qq.com");
        message.setSubject("[服务报错]");
        message.setText(content);
        javaMailSender.send(message);
    }
}
